d3.csv('https://gist.githubusercontent.com/curran/a08a1080b88344b0c8a7/raw/0e7a9b0a5d22642a06d3d5b9bcbad9890c8ee534/iris.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
var trace1 = {
	x:unpack(rows, 'sepal_length'), 
  y: unpack(rows, 'sepal_width'), 
  z: unpack(rows, 'petal_length'),
	mode: 'markers',
      marker: {
        size: 12,
        line: {
          color: 'green',
          width: 0.5
        }
      },
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 20,
	r: 20,
	b: 20,
	t: 20
  },
	scene: {
		xaxis:{title: 'sepal_length',backgroundcolor: "rgb(300, 150, 200)",
	 gridcolor: "rgb(30, 45, 40)",
	 showbackground: true,
	 zerolinecolor: "rgb(27, 39, 15)"},
		yaxis:{title: 'sepal_width',
     backgroundcolor: "rgb(13, 15,83)",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(550, 55, 55)"},
		zaxis:{title: 'petal_length',
     backgroundcolor: "rgb(23, 230,90)",
     gridcolor: "rgb(255, 455, 255)",
     showbackground: true,
     zerolinecolor: "rgb(15, 155, 15)"},
		}        
  };
Plotly.newPlot('myDiv', data, layout);
});
